package intrinsic.mx.rpc.xml;

public class SchemaManager extends intrinsic.mx.rpc.xml.QualifiedResourceManager {

	/** Accessors */
	public Object namespaces;
	public intrinsic.mx.rpc.xml.SchemaDatatypes schemaDatatypes;
	public intrinsic.mx.rpc.xml.SchemaMarshaller schemaMarshaller;
	public intrinsic.mx.rpc.xml.Schema currentSchema;
	public intrinsic.mx.rpc.xml.SchemaConstants schemaConstants;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public SchemaManager() {
}


/** Static Methods */

/** Methods */
public native Object unmarshall(Object arg0);
public native Object unmarshall(Object arg0, intrinsic.QName arg1);
public native Object unmarshall(Object arg0, intrinsic.QName arg1, intrinsic.XML arg2);
public native void addNamespaces(Object arg0);
public native intrinsic.XML getNamedDefinition(intrinsic.QName arg0);
public native Object releaseScope();
public native String marshall(Object arg0);
public native String marshall(Object arg0, intrinsic.QName arg1);
public native String marshall(Object arg0, intrinsic.QName arg1, intrinsic.XML arg2);
public native intrinsic.QName getQNameForElement(String arg0);
public native intrinsic.QName getQNameForElement(String arg0, String arg1);
public native void reset();
public native intrinsic.Array currentScope();
public native intrinsic.QName getQNameForAttribute(String arg0);
public native intrinsic.QName getQNameForAttribute(String arg0, String arg1);
public native void addSchema(intrinsic.mx.rpc.xml.Schema arg0);
public native void addSchema(intrinsic.mx.rpc.xml.Schema arg0, boolean arg1);
public native intrinsic.QName getQNameForPrefixedName(String arg0);
public native intrinsic.QName getQNameForPrefixedName(String arg0, intrinsic.XML arg1);
public native intrinsic.QName getQNameForPrefixedName(String arg0, intrinsic.XML arg1, String arg2);
public native String getOrCreatePrefix(String arg0);

}
